Bug 773370 - (CVE-2012-0045) CVE-2012-0045 kernel: kvm: syscall instruction induced guest panic
CVE-2012-0045 kernel: kvm: syscall instruction induced guest panic
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111229,repor...
: Security
: 782123 (view as bug list)
Depends On: 773390 773391 773392
Blocks: 773374
  Show dependency treegraph
 
Reported: 2012-01-11 11:56 EST by Petr Matousek
Modified: 2015-08-02 20:03 EDT (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-01-11 11:56:13 EST
32bit guests will crash (and 64bit guests may behave in a
wrong way) for example by simply executing following
nasm-demo-application:

    [bits 32]
    global _start
    SECTION .text
    _start: syscall

The reason seems a missing "invalid opcode"-trap (int6) for the
syscall opcode "0f05", which is not available on Intel CPUs
within non-longmodes, as also on some AMD CPUs within legacy-mode.
(depending on CPU vendor, MSR_EFER and cpuid)

Because previous mentioned OSs may not engage corresponding
syscall target-registers (STAR, LSTAR, CSTAR), they remain
NULL and (non trapping) syscalls are leading to multiple
faults and finally crashs.

Reference:
https://lkml.org/lkml/2011/12/28/170
http://www.spinics.net/lists/kvm/msg66633.html

Proposed patch:
http://www.spinics.net/lists/kvm/msg66633.html

Acknowledgements:

Red Hat would like to thank Stephan Bärwolf for reporting this issue.
Comment 2 Petr Matousek 2012-01-11 13:09:30 EST
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 773392]
Comment 4 Petr Matousek 2012-01-11 15:15:05 EST
Introduced by e66bb2ccdcf76d032bbb464b35c292bb3ee58f9b in linux-2.6.32
Comment 5 Kurt Seifried 2012-01-11 19:11:39 EST
Added CVE-2012-0045 as per http://www.openwall.com/lists/oss-security/2012/01/12/2
Comment 7 Petr Matousek 2012-01-16 12:03:11 EST
*** Bug 782123 has been marked as a duplicate of this bug. ***
Comment 8 Petr Matousek 2012-01-18 16:05:47 EST
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4 and Red Hat Enterprise MRG as they did not provide support for the KVM subsystem. This issue did not affect the versions of kvm as shipped with Red Hat Enterprise Linux 5 as they did not include support for syscall instruction emulation. This has been addressed in Red Hat Enterprise Linux 6 via https://rhn.redhat.com/errata/RHSA-2012-0350.html.
Comment 10 errata-xmlrpc 2012-03-06 13:46:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0350 https://rhn.redhat.com/errata/RHSA-2012-0350.html
Comment 11 errata-xmlrpc 2012-03-26 11:18:16 EDT
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:0422 https://rhn.redhat.com/errata/RHSA-2012-0422.html

Note You need to log in before you can comment on or make changes to this bug.